"use strict";

exports.__esModule = true;
exports.DEFAULT_OPTIONS = void 0;

var _fastEquals = require("fast-equals");

var _utils = require("./utils");

// external dependencies
// utils

/**
 * @constant {Object} DEFAULT_OPTIONS
 */
var DEFAULT_OPTIONS = {
  areMergedPropsEqual: _fastEquals.shallowEqual,
  areOwnPropsEqual: _fastEquals.shallowEqual,
  areStatesEqual: _fastEquals.shallowEqual,
  mergeProps: _utils.getMergedProps,
  pure: true
};
exports.DEFAULT_OPTIONS = DEFAULT_OPTIONS;